[![Latest Version](https://img.shields.io/github/v/release/grimme-lab/enso)](https://github.com/grimme-lab/enso/releases/latest)

ENSO program
============

This is the official repository of the `ENSO` program developed by the Grimme 
group in Bonn.
Program for refining conformer-rotamer-ensembles (CRE), generated by `CREST`, 
at DFT level.

All resources (ENSO, ANMR, NMRPLOT) can be found at the 
[latest release page](https://github.com/grimme-lab/enso/releases/latest).
ANMR is currently only distributed as statically compiled binary!

Installing
----------

Make sure that `python3` is available on your machine.
`xTB` and `CREST` have to be available and at least 
one QM-package (TURBOMOLE version >= 7.2 or 
ORCA version >= 4) has to be installed on your setup.

Documentation
-------------

Documentation is provided at 
[read-the-docs](https://xtb-docs.readthedocs.io/en/latest/contents.html).


Citation
--------

Currently cite:

S. Grimme, C. Bannwarth, S. Dohm, A. Hansen, J. Pisarek, P. Pracht, J. Seibert, 
F. Neese *Angew. Chem. Int. Ed.*, **2017**, 56, 14763-14769. 
DOI: [10.1002/anie.201708266](https://doi.org/10.1002/anie.201708266)


License
-------

`ENSO` is free software: you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

`ENSO` is distributed in the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose. See the
GNU Lesser General Public License for more details.

`nmrplot.py` is free software: you can redistribute it and/or modify it under
the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

`nmrplot.py` is distributed in the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose. See the
GNU Lesser General Public License for more details.

`ANMR` is distributed the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose.

Bugs
----

please report all bugs with an example of in- and output and open an issue.
